> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exchange Status

> Get high-level exchange status information



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/status
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/status:
    get:
      tags:
        - System
      summary: Get Exchange Status
      description: Get high-level exchange status information
      responses:
        '200':
          description: Exchange status data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeStatusAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    ExchangeStatusAPISuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          type: object
          properties:
            latestOnChainCheckpoint:
              anyOf:
                - type: object
                  properties:
                    latestOnChainCheckpoint:
                      type: number
                      description: The latest on-chain checkpoint number.
                      examples:
                        - 9920
                    latestCheckpointTransactionLink:
                      type:
                        - string
                        - 'null'
                      description: >-
                        An etherscan link to the latest on-chain checkpoint
                        transaction.
                  required:
                    - latestOnChainCheckpoint
                    - latestCheckpointTransactionLink
                  additionalProperties: false
                  description: Data about the latest on-chain checkpoint.
                  examples:
                    - latestOnChainCheckpoint: 9920
                      latestCheckpointTransactionLink: >-
                        https://goerli.etherscan.io/tx/0x05f4e74a64b2626af2edc555249484781732508f2096aed0aa52be2d09a51a73
                - type: 'null'
              description: >-
                Information about the latest on-chain checkpoint. Returns null
                if there haven't been any on-chain checkpoints.
              examples:
                - latestOnChainCheckpoint: 9920
                  latestCheckpointTransactionLink: >-
                    https://goerli.etherscan.io/tx/0x05f4e74a64b2626af2edc555249484781732508f2096aed0aa52be2d09a51a73
            activeAddresses:
              type: number
              description: >-
                The number of active addresses on the exchange. Active addresses
                are defined as addresses that have deposited, withdrawn, or
                traded within the last 24 hours or have currently open
                positions.
              examples:
                - 100
            currentEpoch:
              type: string
              description: The latest epoch on the Operator network.
              examples:
                - '9958'
          required:
            - latestOnChainCheckpoint
            - activeAddresses
            - currentEpoch
          additionalProperties: false
          description: The value of the response.
          examples:
            - currentEpoch: '9958'
              latestOnChainCheckpoint:
                latestOnChainCheckpoint: 9920
                latestCheckpointTransactionLink: >-
                  https://goerli.etherscan.io/tx/0x05f4e74a64b2626af2edc555249484781732508f2096aed0aa52be2d09a51a73
              activeAddresses: '20'
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the Exchange Status API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````